#!/bin/bash

#Carlos Eduardo
#Contato: carlinhosedubr@gmail.com
#09/08/2015
#Rio de Janeiro, Brasil
#FalaHueHue (Script/Programa que faz o sistema falar as horas e minutos com a voz do google tradutor).

#REQUISITOS: Para executar o programa você precisa ter o mpg123 ou o MPlayer instalado no sistema.
#Deve funcionar perfeitamente com outros players, mas só testei com esses dois por funcionarem também em modo texto.
#Você precisa estar com o audio funcionando na tua máquina, com auto falantes ou fones de ouvido, etc.
#É necessário também ter o date (a maioria das distros possuim, é por ele que se configura a hora do sistema).
#Foram e podem ser usados comandos simples do date como os mostrados abaixo.

#COMANDOS DO DATE: Aqui embaixo estão os comandos que podem ser usados para mostrar no terminal o dia, mês e ano do sistema.
#obs: Devem ser executados sem aspas.

# "date +%d" diz o dia.
# "date +%m" diz o mês. 
# "date +%Y" diz o ano.

#E aqui estão os comandos para mostrar horas, minutos e segundos.
# "date +%H" diz as horas.
# "date +%M" diz os minutos.
# "date +%S" diz os segundos.

#OBJETIVO DO PROGRAMA: O objetivo deste programa é fazer com que a tua distribuição linux fale as horas para você.
#Isso mesmo, ela irá falar as horas com a voz da mulher do google tradutor em língua portuguesa.
#Quando executado, a tua distro dirá "Agora são exatamente x horas e x minutos" com a voz do google tradutor.

#INÍCIO DO PROGRAMA:

#FALA: "AGORA SÃO EXATAMENTE"
#A próxima linha Fala "Agora são exatamente", esta linha se repete para qualquer hora e minuto, é a primeira a ser executada no programa.
#Se precisar troque o "mpg123" pelo seu player de audio.
#Troque a localização do arquivo "agora-sao.mp3" para a localização no teu sistema.
#Na pasta do programa ele está em FalaHueHue/agora-sao/agora-sao.mp3
#No momento estou logado como root,
#Aqui no meu sistema a linha ficou assim.

mpg123 /root/Meus-Programas/Meus-scripts/FalaHueHue/agora-sao/agora-sao.mp3

#FALA: "X HORAS"
#Aqui embaixo criei a variável "verificar_hora" que captura o valor da hora e envia para o mpg123 que executa as vozes.
#exemplo: no final da linha mpg123 /root/Meus-Programas/Meus-scripts/FalaHueHue/vozes-horas/$verificar_hora.mp3
#a variável "$verificar_hora" pode ser qualquer número de 00 a 23 como resultado do comando "date +%H".
#E esses resultados mudam o que será executado, exemplo: se o "date +%H" da variável "verificar_hora" dizer que são 15 horas
#a saida será 15,e o mpg123 executará o arquivo 15.mp3 assim> mpg123 /..../FalaHueHue/vozes-horas/15.mp3
#ele executará o audio com nome 15.mp3, e dirá 15 horas.
#Caso seja necessário troque "mpg123" para o nome do seu player de audio.
#Indique o caminho da pasta "vozes-horas" do programa no teu sistema seguido por /$verificar_hora.mp3
#Aqui ficou assim:

verificar_hora=$(date +%H)

mpg123 /root/Meus-Programas/Meus-scripts/FalaHueHue/vozes-horas/$verificar_hora.mp3

#FALA: "E X"
#A execução das vozes dos minutos segue o mesmo princípio das horas.
#A variável "verificar_minutos" captura o valor do comando "date +%M" e manda o mpg123 executar X.mp3,
#Sendo X o resultado de (date +%M).
#Exemplo: se o resultado de "date +%M" na variável for 30, o mpg123 executará o arquivo 30.mp3 na pasta vozes-minutos
#Troque "mpg123" para o nome do seu player de audio.
#Indique o caminho da pasta "vozes-minutos" no teu sistema.
#Na pasta do programa ela está em FalaHueHue/vozes-minutos
#No meu sistema ficou assim:

verificar_minutos=$(date +%M)

mpg123 /root/Meus-Programas/Meus-scripts/FalaHueHue/vozes-minutos/$verificar_minutos.mp3

#FALA: "MINUTOS"
#Nesta altura o teu sistema já deve ter dito "Agora são exatamente X horas e X".
#Ele só não disse "minutos" após "São exatamente X horas e X",
#Para ter um menor número de arquivos e um menor peso no programa, a voz "minutos.mp3" é a mesma para todos os minutos.
#Na pasta do programa ela está localizada em FalaHueHue/minutos/minutos.mp3
#Se necessário altere "mpg123" para o nome do teu player de audio.
#Indique o caminho de "minutos.mp3" no teu sistema na próxima linha.
#Aqui ficou assim:

mpg123 /root/Meus-Programas/Meus-scripts/FalaHueHue/minutos/minutos.mp3

exit
